PIX-PPM
1
BRL-CAD
BRL-CAD

# pix-ppm

convert a BRL-CAD PIX or BW format image to a PPM format image

      pix-ppm
        -a
        -ssquaresize
        -wfile_width
        -nfile_height
        -#bytes_per_pixel
        -oPPM_file
        PIX_file
        >PPM_file

## DESCRIPTION

`pix-ppm` converts a BRL PIX(5) format file to a PPM (Portable PixMap) format file on the standard output. The PPM file created will be either an RGB file with 3 bytes per pixel (default) or a B&W file with 1 byte per pixel

PIX image files do not contain information about their size. The size of the input PIX image file must be specified if the dimensions are not the default 512x512 size.

## OPTIONS

`-a`

  autosize the input file to determine file image height and width

`-s squaresize`

  sets both the width and the height for the input to be squaresize

`-w file_width`

  tells `pix-ppm` that the input is file_width pixels wide

`-n file_height`

  tells `pix-ppm` that the input is file_height scanlines tall

`-# bytes_per_pixel`

  tells `pix-ppm` how many bytes there are per pixel in the input PIX or BW file.

`-o PPM_file`

  tells `pix-ppm` to write image data to the specified PPM_file output file. The `pix-ppm` command will not write out binary image data directly to a terminal device as a safeguard.

## SEE ALSO

brlcad 1, pix-png 1, pix-bw 1, bw-pix 1, pix-fb 1, pix 5, bw 5.

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 2009-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.